package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * goods_logistics
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class GoodsLogistics implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 订单ID
     */
    private Long orderId;

    /**
     * 唯一业务号
     */
    private String taskNo;

    /**
     * 快递单号
     */
    private String number;

    /**
     * 物流状态描述
     */
    private String logisticsStatus;

    /**
     * 物流状态描述
     */
    private String logisticsStatusDesc;

    /**
     * 运单号物流流转当前最新描述
     */
    private String theLastMessage;

    /**
     * 运单号物流流转当前最新变更时间
     */
    private Date theLastTime;

    /**
     * 从揽收到送达所耗时间
     */
    private String takeTime;

    /**
     * 快递员
     */
    private String courier;

    /**
     * 快递员联系方式
     */
    private String courierPhone;

    /**
     * 物流明细
     */
    private String logisticsTraceDetails;

    /**
     * 快递公司名称
     */
    private String expressCompanyName;

    /**
     * 状态：0:删除 1:正常
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 操作人员id
     */
    private Long opId;

    /**
     * 操作人员名称
     */
    private String opName;

    /**
     * ext_1
     */
    private String ext1;

    /**
     * ext_2
     */
    private String ext2;

    /**
     * ext_3
     */
    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public String getTaskNo() {
        return taskNo;
    }

    public void setTaskNo(String taskNo) {
        this.taskNo = taskNo;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getLogisticsStatus() {
        return logisticsStatus;
    }

    public void setLogisticsStatus(String logisticsStatus) {
        this.logisticsStatus = logisticsStatus;
    }

    public String getLogisticsStatusDesc() {
        return logisticsStatusDesc;
    }

    public void setLogisticsStatusDesc(String logisticsStatusDesc) {
        this.logisticsStatusDesc = logisticsStatusDesc;
    }

    public String getTheLastMessage() {
        return theLastMessage;
    }

    public void setTheLastMessage(String theLastMessage) {
        this.theLastMessage = theLastMessage;
    }

    public Date getTheLastTime() {
        return theLastTime;
    }

    public void setTheLastTime(Date theLastTime) {
        this.theLastTime = theLastTime;
    }

    public String getTakeTime() {
        return takeTime;
    }

    public void setTakeTime(String takeTime) {
        this.takeTime = takeTime;
    }

    public String getCourier() {
        return courier;
    }

    public void setCourier(String courier) {
        this.courier = courier;
    }

    public String getCourierPhone() {
        return courierPhone;
    }

    public void setCourierPhone(String courierPhone) {
        this.courierPhone = courierPhone;
    }

    public String getLogisticsTraceDetails() {
        return logisticsTraceDetails;
    }

    public void setLogisticsTraceDetails(String logisticsTraceDetails) {
        this.logisticsTraceDetails = logisticsTraceDetails;
    }

    public String getExpressCompanyName() {
        return expressCompanyName;
    }

    public void setExpressCompanyName(String expressCompanyName) {
        this.expressCompanyName = expressCompanyName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getOpId() {
        return opId;
    }

    public void setOpId(Long opId) {
        this.opId = opId;
    }

    public String getOpName() {
        return opName;
    }

    public void setOpName(String opName) {
        this.opName = opName;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        GoodsLogistics other = (GoodsLogistics) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getUserId() == null ? other.getUserId() == null : this.getUserId().equals(other.getUserId()))
            && (this.getOrderId() == null ? other.getOrderId() == null : this.getOrderId().equals(other.getOrderId()))
            && (this.getTaskNo() == null ? other.getTaskNo() == null : this.getTaskNo().equals(other.getTaskNo()))
            && (this.getNumber() == null ? other.getNumber() == null : this.getNumber().equals(other.getNumber()))
            && (this.getLogisticsStatus() == null ? other.getLogisticsStatus() == null : this.getLogisticsStatus().equals(other.getLogisticsStatus()))
            && (this.getLogisticsStatusDesc() == null ? other.getLogisticsStatusDesc() == null : this.getLogisticsStatusDesc().equals(other.getLogisticsStatusDesc()))
            && (this.getTheLastMessage() == null ? other.getTheLastMessage() == null : this.getTheLastMessage().equals(other.getTheLastMessage()))
            && (this.getTheLastTime() == null ? other.getTheLastTime() == null : this.getTheLastTime().equals(other.getTheLastTime()))
            && (this.getTakeTime() == null ? other.getTakeTime() == null : this.getTakeTime().equals(other.getTakeTime()))
            && (this.getCourier() == null ? other.getCourier() == null : this.getCourier().equals(other.getCourier()))
            && (this.getCourierPhone() == null ? other.getCourierPhone() == null : this.getCourierPhone().equals(other.getCourierPhone()))
            && (this.getLogisticsTraceDetails() == null ? other.getLogisticsTraceDetails() == null : this.getLogisticsTraceDetails().equals(other.getLogisticsTraceDetails()))
            && (this.getExpressCompanyName() == null ? other.getExpressCompanyName() == null : this.getExpressCompanyName().equals(other.getExpressCompanyName()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getOpId() == null ? other.getOpId() == null : this.getOpId().equals(other.getOpId()))
            && (this.getOpName() == null ? other.getOpName() == null : this.getOpName().equals(other.getOpName()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getUserId() == null) ? 0 : getUserId().hashCode());
        result = prime * result + ((getOrderId() == null) ? 0 : getOrderId().hashCode());
        result = prime * result + ((getTaskNo() == null) ? 0 : getTaskNo().hashCode());
        result = prime * result + ((getNumber() == null) ? 0 : getNumber().hashCode());
        result = prime * result + ((getLogisticsStatus() == null) ? 0 : getLogisticsStatus().hashCode());
        result = prime * result + ((getLogisticsStatusDesc() == null) ? 0 : getLogisticsStatusDesc().hashCode());
        result = prime * result + ((getTheLastMessage() == null) ? 0 : getTheLastMessage().hashCode());
        result = prime * result + ((getTheLastTime() == null) ? 0 : getTheLastTime().hashCode());
        result = prime * result + ((getTakeTime() == null) ? 0 : getTakeTime().hashCode());
        result = prime * result + ((getCourier() == null) ? 0 : getCourier().hashCode());
        result = prime * result + ((getCourierPhone() == null) ? 0 : getCourierPhone().hashCode());
        result = prime * result + ((getLogisticsTraceDetails() == null) ? 0 : getLogisticsTraceDetails().hashCode());
        result = prime * result + ((getExpressCompanyName() == null) ? 0 : getExpressCompanyName().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getOpId() == null) ? 0 : getOpId().hashCode());
        result = prime * result + ((getOpName() == null) ? 0 : getOpName().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", userId=").append(userId);
        sb.append(", orderId=").append(orderId);
        sb.append(", taskNo=").append(taskNo);
        sb.append(", number=").append(number);
        sb.append(", logisticsStatus=").append(logisticsStatus);
        sb.append(", logisticsStatusDesc=").append(logisticsStatusDesc);
        sb.append(", theLastMessage=").append(theLastMessage);
        sb.append(", theLastTime=").append(theLastTime);
        sb.append(", takeTime=").append(takeTime);
        sb.append(", courier=").append(courier);
        sb.append(", courierPhone=").append(courierPhone);
        sb.append(", logisticsTraceDetails=").append(logisticsTraceDetails);
        sb.append(", expressCompanyName=").append(expressCompanyName);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", opId=").append(opId);
        sb.append(", opName=").append(opName);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}